import { ProFormColumnsType } from '@ant-design/pro-components';
function formConfig(
  enumList?: { [key: string]: any },
): ProFormColumnsType<{
  name: string;
  state: string;
}>[] {
  return [
    {
      title: '组件名称',
      dataIndex: 'componentName',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '组件使用平台',
      dataIndex: 'enabledAppTypes',
      valueType: 'checkbox',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
      valueEnum: () => {
        let arr = enumList?.APP_TYPE?.values;
        return arr
          ? new Map([...arr]?.map(({ value, description }: any) => [value, description]))
          : {};
      }
    },
    {
      title: '是否可用',
      dataIndex: 'enabled',
      valueType: 'radio',
      formItemProps: {
        style: { marginBottom: 10 },
        initialValue:true,
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
      valueEnum: () => {
        let arr = [{ value: true, text: "可用" }, { value: false, text: "禁用" }]
        return new Map(arr.map(({ value, text }: any) => [value, text]))
      }
    },
    {
      title: '备注',
      dataIndex: 'remark',
    },
  ];
}

export default formConfig;
