import { useAjax } from '@/Hook/useAjax';
import { apiShortBookCoinChangeLogOfPage } from '@/services/distribution/payLog';
import { ActionType, PageContainer, ProTable } from '@ant-design/pro-components';
import { useRef } from 'react';
import { columns } from './tableConfig';

type DataItem = {
  name: string;
  state: string;
};
const Page: React.FC = () => {
  const actionRef = useRef<ActionType>();
  let ShortBookCoinChangeLogOfPage = useAjax((params) => apiShortBookCoinChangeLogOfPage(params), {
    type: 'table',
  }); //订单

  return (
    <PageContainer>
      <ProTable<any, any>
        headerTitle={'短篇小说书币变更列表'}
        actionRef={actionRef}
        rowKey={(r) => r.id}
        search={{
          labelWidth: 120,
        }}
        request={async (params) => {
          if (params.time) {
            params.startTime = params.time[0];
            params.endTime = params.time[1];
          }
          delete params.time;
          return await ShortBookCoinChangeLogOfPage.run(params);
        }}
        columns={columns()}
        scroll={{ x: 'auto' }}
        // bordered
      />
    </PageContainer>
  );
};
export default Page;
