import { ProColumns } from '@ant-design/pro-components';
import { Button, Space } from 'antd';

export const columns = (edit: (params: any) => void): ProColumns<any>[] => {
  return [
    {
      title: 'ID',
      dataIndex: 'id',
      key: 'id',
      align: 'center',
      width: 70,
      ellipsis: true,
      hideInSearch: true,
    },
    {
      title: '配置标识',
      dataIndex: 'configKey',
      key: 'configKey',
      align: 'center',
      width: 70,
      ellipsis: true,
      hideInSearch: true,
    },
    {
      title: '配置值',
      dataIndex: 'configValue',
      key: 'configValue',
      align: 'center',
      width: 80,
      ellipsis: true,
      hideInSearch: true,
    },

    {
      title: '备注',
      dataIndex: 'remark',
      key: 'remark',
      width: 300,
      align: 'center',
      ellipsis: true,
      hideInSearch: true,
    },
    {
      title: '操作',
      dataIndex: 'cz',
      key: 'cz',
      width: 160,
      align: 'center',
      className: 'table_fixed',
      hideInSearch: true,
      render: (a: any, b: any) => {
        return (
          <Space>
            <Button
              onClick={() => {
                edit(b);
              }}
              type="link"
            >
              编辑
            </Button>
          </Space>
        );
      },
    },
  ];
};
