import { api } from '@/services/api';
import { request } from '@umijs/max';

/**
 * 标签修改
 * @param data
 * @returns
 */
export async function apiBookContentLabelEdit(params: any) {
  let { id, ...data } = params;
  return request(api + `/bookContent/bookContent/admin/bookLabel/${id}`, {
    method: 'PUT',
    data,
  });
}
/**
 * 标签热门修改
 * @param data
 * @returns
 */
export async function apiBookContentLabelHot(params: any) {
  let { id, ...data } = params;
  return request(api + `/bookContent/admin/bookLabel/editIsHot/${id}`, {
    method: 'PUT',
    data,
  });
}
/**
 * 标签排序修改
 * @param data
 * @returns
 */
export async function apiBookContentLabelSort(params: any) {
  let { id, ...data } = params;
  return request(api + `/bookContent/admin/bookLabel/editSort/${id}`, {
    method: 'PUT',
    data,
  });
}
/**
 * 标签新增
 * @param data
 * @returns
 */
export async function apiBookContentLabelAdd(data: any) {
  return request(api + '/bookContent/admin/bookLabel', {
    method: 'POST',
    data,
  });
}
/**
 * 标签删除
 * @param data
 * @returns
 */
export async function apiBookContentLabelDel(id: any) {
  return request(api + `/bookContent/admin/bookLabel/remove/one/${id}`, {
    method: 'DELETE',
  });
}
/**
 * 标签列表
 * @param corpId
 * @returns
 */
export async function apiBookContentLabelList(params: number) {
  return request(api + `/bookContent/admin/bookLabel/list`, {
    method: 'GET',
    params,
  });
}
/**
 * 标签列表
 * @param corpId
 * @returns
 */
export async function apiBookContentLabelListAll(params?: any) {
  return request(api + `/bookContent/admin/bookLabel/listAll`, {
    method: 'GET',
    params,
  });
}
