import { api } from '@/services/api';
import { request } from '@umijs/max';

/**
 * 小说类别修改
 * @param data
 * @returns
 */
export async function apibookCategoryEdit(params: any) {
  let { id, ...data } = params;
  return request(api + `/bookContent/admin/bookCategory/${id}`, {
    method: 'PUT',
    data,
  });
}
/**
 * 小说排序修改
 * @param data
 * @returns
 */
export async function apibookCategorySort(params: any) {
  let { id, ...data } = params;
  return request(api + `/bookContent/admin/bookCategory/editSort/${id}`, {
    method: 'PUT',
    data,
  });
}
/**
 * 小说类别新增
 * @param data
 * @returns
 */
export async function apibookCategoryAdd(data: any) {
  return request(api + '/bookContent/admin/bookCategory', {
    method: 'POST',
    data,
  });
}
/**
 * 小说类别单个查询
 * @param data
 * @returns
 */
/**
 * 小说类别删除
 * @param data
 * @returns
 */
export async function apibookCategoryDel(id: any) {
  return request(api + `/bookContent/admin/bookCategory/remove/one/${id}`, {
    method: 'DELETE',
  });
}
/**
 * 小说类别列表
 * @param corpId
 * @returns
 */
export async function apibookCategoryList(params: number) {
  return request(api + `/bookContent/admin/bookCategory/list`, {
    method: 'GET',
    params,
  });
}
/**
 * 小说类别列表全部
 * @param corpId
 * @returns
 */
export async function apibookCategoryListAll(params?: any) {
  return request(api + `/bookContent/admin/bookCategory/listAll`, {
    method: 'GET',
    params,
  });
}
