import { api } from '@/services/api';
import { request } from '@umijs/max';
/**
 * 分销商账号状态更新
 * @param id
 */
export async function apiDistributorAccountUpdateEnabled(params: any) {
  let { id, ...data } = params;
  return request(api + `/bookDistributionPlatform/admin/distributorAccount/updateEnabled/${id}`, {
    method: 'PUT',
    data,
  });
}
/**
 * 分销商账号更新
 * @param id
 * @param distributorId   分销商 id
 * @param nickname   账号昵称
 * @param password   账号密码
 * @param phoneNum   手机号
 * @param subAccountList   子账号列表
 * @param remark   备注
 */
export async function apiDistributorAccountUpdate(params: any) {
  let { id, ...data } = params;
  return request(api + `/bookDistributionPlatform/admin/distributorAccount/update/${id}`, {
    method: 'PUT',
    data,
  });
}

/**
 * 分销商账号新增
 * @param distributorId   分销商 id
 * @param nickname   账号昵称
 * @param password   账号密码
 * @param phoneNum   手机号
 * @param subAccountList   子账号列表
 * @param remark   备注
 */
export async function apiDistributorAccount(data: any) {
  return request(api + `/bookDistributionPlatform/admin/distributorAccount`, {
    method: 'POST',
    data,
  });
}

/**
 * 分销商账号分页列表
 * @param pageNum
 * @param pageSize
 * @param nickname   账号昵称
 * @param phoneNum   手机
 */
export async function apiDistributorAccountPageList(params: any) {
  console.log(params);
  return request(api + `/bookDistributionPlatform/admin/distributorAccount/pageList`, {
    method: 'GET',
    params,
  });
}
/**
 * 分销商账号列表
 */
export async function apiDistributorAccountList(distributorId: any) {
  return request(
    api + `/bookDistributionPlatform/admin/distributorAccount/list?distributorId=${distributorId}`,
    {
      method: 'GET',
    },
  );
}

/**
 * 分销商详情
 * @param id
 */
export async function apiDistributorAccountInfoGetInfo(id: any) {
  return request(api + `/bookDistributionPlatform/admin/distributorAccount/getInfo/${id}`, {
    method: 'GET',
  });
}

/**
 * 分销商删除
 * @param id
 */
export async function apiDistributorAccountInfoRemove(id: any) {
  return request(api + `/bookDistributionPlatform/admin/distributorAccount/remove/${id}`, {
    method: 'DELETE',
  });
}
