import { api } from '@/services/api';
import { request } from '@umijs/max';

/**
 * 微信小程序状态更新
 * @param id
 */
export async function apiWxAppInfoUpdateEnabled(params: any) {
  let { id, ...data } = params;
  return request(api + `/bookDistributionPlatform/admin/wechatMiniapp/updateEnabled/${id}`, {
    method: 'PUT',
    data,
  });
}
/**
 * 微信小程序信息更新
 * @param id
 * @param appId   小程序appId
 * @param appSecret   小程序秘钥
 * @param appName   小程序名称
 * @param homePage   小程序首页链接
 * @param appVersion   小程序版本号
 * @param configParams   小程序配置信息（json）
 * @param remark   备注
 *
 */
export async function apiWxAppInfoUpdate(params: any) {
  let { id, ...data } = params;
  return request(api + `/bookDistributionPlatform/admin/wechatMiniapp/update/${id}`, {
    method: 'PUT',
    data,
  });
}

/**
 * 微信小程序信息新增
 * @param appId   小程序appId
 * @param appSecret   小程序秘钥
 * @param appName   小程序名称
 * @param homePage   小程序首页链接
 * @param appVersion   小程序版本号
 * @param configParams   小程序配置信息（json）
 * @param remark   备注
 */
export async function apiWxAppInfo(data: any) {
  return request(api + `/bookDistributionPlatform/admin/wechatMiniapp`, {
    method: 'POST',
    data,
  });
}

/**
 * 微信小程序分页列表
 * @param pageNum
 * @param pageSize
 * @param appId   小程序ID
 * @param appName   小程序名称
 */
export async function apiWxAppInfoPageList(params: any) {
  return request(api + `/bookDistributionPlatform/admin/wechatMiniapp/pageList`, {
    method: 'GET',
    params,
  });
}
/**
 * 微信小程序列表
 */
export async function apiWxAppInfoList() {
  return request(api + `/bookDistributionPlatform/admin/wechatMiniapp/list`, {
    method: 'GET',
  });
}

/**
 * 小程序详情
 * @param id
 */
export async function apiWxAppInfoGetInfo(id: any) {
  return request(api + `/bookDistributionPlatform/admin/wechatMiniapp/getInfo/${id}`, {
    method: 'GET',
  });
}

/**
 * 小程序删除
 * @param id
 */
export async function apiWxAppInfoRemove(id: any) {
  return request(api + `/bookDistributionPlatform/admin/wechatMiniapp/remove/${id}`, {
    method: 'DELETE',
  });
}
/**小程序指派 */

export async function apiWxAppInfoWxAppConfigAddOrEdit(data: any) {
  return request(api + `/bookDistributionPlatform/admin/wechatMiniapp/configDistribution`, {
    method: 'POST',
    data,
  });
}
/**商户列*/
export async function wechatMchAll() {
  return request(api + `/bookDistributionPlatform/admin/wechatMch/all`, {
    method: 'POST',
  });
}
